### GET /marketplace/salon/{location_id}/application/{application_id} Source: https://developer.alteg.io/_bundle/en/developers/openapi.json This endpoint is used to retrieve information about the application's installation status in a specific location. ```markdown ### Parameters - **Accept** (string, header, required): e.g. application/vnd.api.v2+json - **location_id** (number, path, required): Location ID - **application_id** (number, path, required): Application ID ### Responses #### 200 - Info about application location link - **success** (boolean): Response status. (example: true) - **data** (object) - **connection_status** (object): Installation status - **status** (string (pending|freezed|active)): Application installation status in the location. Pending - waiting for activation from the partner, Freezed - frozen due to non-payment, Active - active ("pending"|"freezed"|"active") - **created_at** (string): Date of link creation - **payments** (array (object)): Payments list Array items: - **payment_sum** (number): The payment amount for the period. - **id** (number): Payment ID. - **payment_date** (string): The date of payment. - **is_refunded** (boolean): Was there a refund? - **period_from** (string): Subscription start date - **period_to** (string): Subscription end date - **logs** (array (object)): Application status change log in location Array items: - **changed_at** (string): Status change date - **status_from** (string): Previous app status in location - **status_to** (string): New application status in the location - **source** (string): Status Change Source - **meta** (object,array): Additional response data (empty object or empty array) (example: {}) #### 401 - No partner token given. **401_unauthorized_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Authentication needed.") #### 403 - No application access **403_forbidden_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Access denied.") #### 404 - Application isn't installed **404_not_found_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object,array): Additional response data (empty object or empty array) (example: {}) ### Example Usage ```bash curl -X GET "https://api.alteg.io/api/v1/marketplace/salon/{location_id}/application/{application_id}" ``` ``` -------------------------------- ### POST /marketplace/partner/callback Source: https://developer.alteg.io/_bundle/en/developers/openapi.json The integration settings of the partner service must be sent to this address. Once received, the application will be configured and installed for the corresponding location. ```markdown ### Parameters - **Accept** (string, header, required): e.g. application/vnd.api.v2+json ### Request Body **Content-Type:** application/json - **salon_id** (number) (required): Location ID. (example: 123) - **application_id** (number) (required): Application ID. (example: 123) - **api_key** (number): API-key for messaging module. (example: "2f181e2a-5c22-4ae7-9d9b-07104f312c28") - **webhook_urls** (array (string)): Webhooks array (example: ["https://example.com/webhook"]) ### Responses #### 201 - All parameters installed Empty response body #### 401 - Unauthorized **401_unauthorized_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Authentication needed.") #### 403 - Forbidden **403_forbidden_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Access denied.") #### 422 - Invalid parameters given **422_unprocessable_entity_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "An error has occurred.") - **errors** (array (object)): Set of a validation error messages. ### Example Usage ```bash curl -X POST "https://api.alteg.io/api/v1/marketplace/partner/callback" \ -H "Content-Type: application/json" \ -d '{ "salon_id": 123, "application_id": 123, "api_key": "2f181e2a-5c22-4ae7-9d9b-07104f312c28", "webhook_urls": [ "https://example.com/webhook" ] }' ``` ``` -------------------------------- ### GET /marketplace/application/payment_link Source: https://developer.alteg.io/_bundle/en/developers/openapi.json Generates a payment link for application payment through Altegio platform. **Note:** For marketplace partners only. ```markdown ### Parameters - **Accept** (string, header, required) - **Authorization** (string, header, required): Bearer {partner_token} - **salon_id** (integer, query, required): Location ID - **application_id** (integer, query, required): Application ID - **discount** (number (float), query, optional): Discount percentage (optional) ### Responses #### 200 - Payment link generated successfully - **success** (boolean) (example: true) - **data** (object) - **url** (string): Payment page URL (example: "https://alteg.io/appstore/payment/?salon_id=1111&application_id=1&discount=15.5&source=api&sign=6f9b5bc6fa787780161ed090af9429d5af963562b7a6ac8051888147370674be") - **meta** (array) (example: []) #### 401 - Unauthorized - **success** (boolean) (example: false) - **data** (null) - **meta** (object) #### 403 - Forbidden - **success** (boolean) (example: false) - **data** (null) - **meta** (object) #### 404 - Application not installed - **success** (boolean) (example: false) - **data** (null) - **meta** (object) ### Example Usage ```bash curl -X GET "https://api.alteg.io/api/v1/marketplace/application/payment_link?salon_id=0&application_id=0&discount=0" ``` ``` -------------------------------- ### Schema: Root Type for companies_data_types Source: https://developer.alteg.io/_bundle/en/developers/openapi.json Get a list of locations ```markdown ## Schema: Root Type for companies_data_types Get a list of locations **Type:** object - **success** (boolean): Success status (true) - **data** (array (object)): Array of objects Array items: - **id** (number): location ID - **title** (string): location name - **public_title** (string): Public display name of the location - **short_descr** (string): location category - **logo** (string): location logo image address - **active** (integer): Is the location active (1 = active, 0 = inactive) - **phone** (string): location phone number - **phones** (array (string)): Array of location phone numbers - **email** (string): Location email address - **country_id** (number): Identifier of the country in which the location is located - **schedule** (string): location schedule - **country** (string): location country name - **city_id** (number): City ID where the location is located - **city** (string): location city name - **timezone** (number): Timezone offset in hours - **timezone_name** (string): timezone locations - **address** (string): Address where the location is located - **coordinate_lat** (number (float)): Latitude - **coordinate_lon** (number (float)): Longitude - **phone_confirmation** (boolean): Do I need to confirm my phone number via SMS when appointment? - **active_staff_count** (number): Number of team members available for appointment - **next_slot** (string (date-time)): Date and time of the next free session in the location (ISO8601). The field will be present only if the GET parameter forBooking=1 is passed - **app_ios** (string): Link to iOS App - **app_android** (string): Link to app for Android - **currency_short_title** (string): Abbreviated currency name - **reminds_sms_disabled** (boolean): SMS reminders disabled - **reminds_sms_default** (integer): Default SMS reminder setting - **group_priority** (number): The higher the priority, the higher the location when displayed in the list of chain locations - **bookform_group_priority** (number): Priority for booking form display - **description** (string): Full HTML description of the location - **photos** (array (string)): Array of location photo paths - **company_photos** (array (string)): Array of full location photo URLs - **booking_widget_promo** (object,null): Booking widget promo configuration - **meta** (array (object)): Metadata (empty array) ``` -------------------------------- ### GET /marketplace/application/{application_id}/tariffs Source: https://developer.alteg.io/_bundle/en/developers/openapi.json Retrieves list of tariffs for the application. **Note:** For marketplace partners only. ```markdown ### Parameters - **Accept** (string, header, required) - **Authorization** (string, header, required): Bearer {partner_token} - **application_id** (integer, path, required): Application ID ### Responses #### 200 - Tariffs retrieved successfully - **success** (boolean) (example: true) - **data** (array (object)): List of tariffs Array items: - **id** (integer): Tariff ID (example: 89) - **title** (string): Tariff name (example: "1 month") - **options** (array (object)): Tariff options Array items: - **id** (integer): Option ID (example: 123) - **title** (string): Option name (example: "Solo professional") - **overall_price** (number (float)): Total price (example: 500) - **duration_in_months** (integer): Duration in months (example: 1) - **currency_iso** (string): Currency ISO code (example: "USD") - **staff_amount** (integer): Maximum team members for this option (example: 1) - **free_period_in_months** (integer): Free trial period in months (example: 0) - **meta** (array) (example: []) #### 401 - Unauthorized - **success** (boolean) (example: false) - **data** (null) - **meta** (object) #### 403 - Forbidden - **success** (boolean) (example: false) - **data** (null) - **meta** (object) #### 404 - Application not found - **success** (boolean) (example: false) - **data** (null) - **meta** (object) ### Example Usage ```bash curl -X GET "https://api.alteg.io/api/v1/marketplace/application/{application_id}/tariffs" ``` ``` -------------------------------- ### GET /references/business_groups_with_types Source: https://developer.alteg.io/_bundle/en/developers/openapi.json API endpoint for GET /references/business_groups_with_types ```markdown ### Parameters - **Accept** (string, header, required): e.g. application/vnd.api.v2+json - **Content-Type** (string, header, required): application/json - **Authorization** (string, header, required): Bearer partner_token, User user_token ### Responses #### 200 - OK **references_business_group_response_data_types** - **success** (boolean): Execution success status (true) - **data** (array (object)): Array of objects with data Array items: - **id** (number): Category ID - **title** (string): name of category - **image** (string): Group image - **image_small** (string): Group small image - **types** (array (object)): Related business types Array items: - **id** (number): Type identifier - **title** (string): Type name - **business_group_id** (number): Business group ID - **meta** (object): Metadata (contains the number of business types found) - **count** (integer (int32)) #### 401 - Unauthorized **401_unauthorized_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Authentication needed.") #### 403 - Forbidden **403_forbidden_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Access denied.") #### 404 - Not Found **404_not_found_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object,array): Additional response data (empty object or empty array) (example: {}) ### Example Usage ```bash curl -X GET "https://api.alteg.io/api/v1/references/business_groups_with_types" ``` ``` -------------------------------- ### Schema: Root Type for cities_response_data_types Source: https://developer.alteg.io/_bundle/en/developers/openapi.json Get a list of cities ```markdown ## Schema: Root Type for cities_response_data_types Get a list of cities **Type:** object - **success** (boolean): Execution success status (true) - **data** (array (object)): Array of objects with data Array items: - **id** (number): City ID - **country_id** (number): Country ID - **title** (string): City name - **meta** (array (object)): Metadata (empty array) ``` -------------------------------- ### GET /cities Source: https://developer.alteg.io/_bundle/en/developers/openapi.json API endpoint for GET /cities ```markdown ### Parameters - **Accept** (string, header, required): e.g. application/vnd.api.v2+json - **country_id** (number, query, optional): Country ID to get cities from - **company_id** (number, query, optional): Location ID. If passed, the city of the location will also be returned, regardless of whether it belongs to the specified country or not - **Content-Type** (string, header, required): application/json - **Authorization** (string, header, required): Bearer partner_token ### Responses #### 200 - OK **cities_response_data_types** - **success** (boolean): Execution success status (true) - **data** (array (object)): Array of objects with data Array items: - **id** (number): City ID - **country_id** (number): Country ID - **title** (string): City name - **meta** (array (object)): Metadata (empty array) #### 401 - Unauthorized **401_unauthorized_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Authentication needed.") #### 403 - Forbidden **403_forbidden_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Access denied.") #### 404 - Not Found **404_not_found_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object,array): Additional response data (empty object or empty array) (example: {}) ### Example Usage ```bash curl -X GET "https://api.alteg.io/api/v1/cities?country_id=0&company_id=0" ``` ``` -------------------------------- ### Schema: Root Type for countries_response_data_types Source: https://developer.alteg.io/_bundle/en/developers/openapi.json Get a list of countries ```markdown ## Schema: Root Type for countries_response_data_types Get a list of countries **Type:** object - **success** (boolean): Execution success status (true) - **data** (array (object)): Array of objects with data Array items: - **id** (number): Country ID - **title** (string): Short country name - **full_title** (string): Full country name - **iso_code** (string): ISO 3166-1 alpha-2 country code - **phone_code** (string): Country phone code - **phone_template** (string): Country phone number mask - **phone_example** (string): Country phone number example - **currency** (string): Country currency symbol - **exchange** (number): Currency exchange rate - **lang_id** (number): Language ID - **group_type** (number): Country group type - **is_eu** (boolean): Whether the country is in the European Union - **meta** (array (object)): Metadata (empty array) ``` -------------------------------- ### Schema: Root Type for references_business_group_response_data_types Source: https://developer.alteg.io/_bundle/en/developers/openapi.json Getting a list of business types grouped by group ```markdown ## Schema: Root Type for references_business_group_response_data_types Getting a list of business types grouped by group **Type:** object - **success** (boolean): Execution success status (true) - **data** (array (object)): Array of objects with data Array items: - **id** (number): Category ID - **title** (string): name of category - **image** (string): Group image - **image_small** (string): Group small image - **types** (array (object)): Related business types Array items: - **id** (number): Type identifier - **title** (string): Type name - **business_group_id** (number): Business group ID - **meta** (object): Metadata (contains the number of business types found) - **count** (integer (int32)) ``` -------------------------------- ### GET /voip/integration/calls Source: https://developer.alteg.io/_bundle/en/developers/openapi.json This endpoint is designed to get a list of calls in a location, taking into account filters and pagination ```markdown ### Parameters - **Accept** (string, header, required): e.g. application/vnd.api.v2+json ### Request Body **Content-Type:** application/json - **salon_id** (number) (required): Location ID. (example: 615243) - **date_from** (string) (required): Start date. (example: "2026-01-01") - **date_to** (string) (required): End date. (example: "2026-02-01") - **phone** (string): Phone number. (example: "+13155550175") - **types** (array (string (incoming|outgoing|internal))): Call types list (example: ["incoming","internal"]) - **statuses** (array (string (success|missed|cancel|busy|notallowed|notavailable|notfound))): Call statuses list (example: ["success","cancel"]) - **page** (number): Page number (example: 1) - **limit** (number): Amount of elements on page (example: 25) ### Responses #### 200 - Calls list - **success** (boolean): Response status. (example: true) - **data** (array (object)): Calls list Array items: - **id** (integer): Call ID - **client_id** (integer): Client ID (if there is a client in Clients Base) - **caller_phone** (string): Phone number - **record_link** (string): Link to call recording (if available) - **duration** (integer): Call duration in seconds - **status** (string (success|missed|cancel|busy|notallowed|notavailable|notfound)): Call status ("success"|"missed"|"cancel"|"busy"|"notallowed"|"notavailable"|"notfound") - **type** (string (incoming|outgoing|internal)): Call type ("incoming"|"outgoing"|"internal") - **call_date** (string): Date and time of call - **meta** (object,array): Additional response data (empty object or empty array) (example: {}) #### 401 - Partner token not passed. **401_unauthorized_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Authentication needed.") #### 403 - No access (requires the right to view "Overview - Calls"). **403_forbidden_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Access denied.") ### Example Usage ```bash curl -X GET "https://api.alteg.io/api/v1/voip/integration/calls" \ -H "Content-Type: application/json" \ -d '{ "salon_id": 615243, "date_from": "2026-01-01", "date_to": "2026-02-01", "phone": "+13155550175", "types": [ "incoming", "internal" ], "statuses": [ "success", "cancel" ], "page": 1, "limit": 25 }' ``` ``` -------------------------------- ### GET /hooks_settings/{location_id} Source: https://developer.alteg.io/_bundle/en/developers/openapi.json API endpoint for GET /hooks_settings/{location_id} ```markdown ### Parameters - **location_id** (number, path, required): location ID - **Accept** (string, header, required): e.g. application/vnd.api.v2+json - **Content-Type** (string, header, required): application/json - **Authorization** (string, header, required): Bearer partner_token, User user_token ### Responses #### 200 - OK **hooks_settings_response_data_types** - **success** (boolean): Execution success status (true) - **data** (object): Object with data - **urls** (array (string)): List of addresses to send notifications to - **active** (integer (int32)): 1 - notifications are active, 0 - not active - **salon** (integer (int32)): 1 - send events by location entity, 0 - do not send - **service_category** (integer (int32)): 1 - send events by service category entity, 0 - do not send - **service** (integer (int32)): 1 - send events by service entity, 0 - do not send - **good** (integer (int32)): 1 - send events by product entity, 0 - don't send - **master** (integer (int32)): 1 - send events by team member entity, 0 - don't send - **client** (integer (int32)): 1 - send events by client entity, 0 - don't send - **record** (integer (int32)): 1 - send events by appointment entity, 0 - do not send - **goods_operations_sale** (integer (int32)): 1 - send events by the product sale entity, 0 - do not send - **goods_operations_receipt** (integer (int32)): 1 - send events by the entity arrival of products, 0 - do not send - **goods_operations_consumable** (integer (int32)): 1 - send events by the consumable write-off entity, 0 - do not send - **goods_operations_stolen** (integer (int32)): 1 - send events by the product write-off entity, 0 - do not send - **goods_operations_move** (integer (int32)): 1 - send events by the product movement entity, 0 - no send - **finances_operation** (integer (int32)): 1 - send events by entity financial operation, 0 - no send - **meta** (array (object)): Metadata (empty array) #### 401 - Unauthorized **401_unauthorized_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Authentication needed.") #### 403 - Forbidden **403_forbidden_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Access denied.") #### 404 - Not Found **404_not_found_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object,array): Additional response data (empty object or empty array) (example: {}) ### Example Usage ```bash curl -X GET "https://api.alteg.io/api/v1/hooks_settings/{location_id}" ``` ``` -------------------------------- ### GET /marketplace/application/{application_id}/salons Source: https://developer.alteg.io/_bundle/en/developers/openapi.json This endpoint retrieves a list of locations that have connected a specific application, along with detailed information about each. ```markdown ### Parameters - **Accept** (string, header, required): e.g. application/vnd.api.v2+json - **application_id** (number, path, required): Application ID - **page** (number, query, required): Page number - **count** (number, query, required): Number of elements per page ### Responses #### 200 - Locations array **companies_data_types** - **success** (boolean): Success status (true) - **data** (array (object)): Array of objects Array items: - **id** (number): location ID - **title** (string): location name - **public_title** (string): Public display name of the location - **short_descr** (string): location category - **logo** (string): location logo image address - **active** (integer): Is the location active (1 = active, 0 = inactive) - **phone** (string): location phone number - **phones** (array (string)): Array of location phone numbers - **email** (string): Location email address - **country_id** (number): Identifier of the country in which the location is located - **schedule** (string): location schedule - **country** (string): location country name - **city_id** (number): City ID where the location is located - **city** (string): location city name - **timezone** (number): Timezone offset in hours - **timezone_name** (string): timezone locations - **address** (string): Address where the location is located - **coordinate_lat** (number (float)): Latitude - **coordinate_lon** (number (float)): Longitude - **phone_confirmation** (boolean): Do I need to confirm my phone number via SMS when appointment? - **active_staff_count** (number): Number of team members available for appointment - **next_slot** (string (date-time)): Date and time of the next free session in the location (ISO8601). The field will be present only if the GET parameter forBooking=1 is passed - **app_ios** (string): Link to iOS App - **app_android** (string): Link to app for Android - **currency_short_title** (string): Abbreviated currency name - **reminds_sms_disabled** (boolean): SMS reminders disabled - **reminds_sms_default** (integer): Default SMS reminder setting - **group_priority** (number): The higher the priority, the higher the location when displayed in the list of chain locations - **bookform_group_priority** (number): Priority for booking form display - **description** (string): Full HTML description of the location - **photos** (array (string)): Array of location photo paths - **company_photos** (array (string)): Array of full location photo URLs - **booking_widget_promo** (object,null): Booking widget promo configuration - **meta** (array (object)): Metadata (empty array) #### 401 - No partner token given **401_unauthorized_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Authentication needed.") #### 403 - No access to application. **403_forbidden_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Access denied.") ### Example Usage ```bash curl -X GET "https://api.alteg.io/api/v1/marketplace/application/{application_id}/salons?page=0&count=0" ``` ``` -------------------------------- ### GET /countries Source: https://developer.alteg.io/_bundle/en/developers/openapi.json API endpoint for GET /countries ```markdown ### Parameters - **Accept** (string, header, required): e.g. application/vnd.api.v2+json - **Content-Type** (string, header, required): application/json - **Authorization** (string, header, required): Bearer partner_token ### Responses #### 200 - OK **countries_response_data_types** - **success** (boolean): Execution success status (true) - **data** (array (object)): Array of objects with data Array items: - **id** (number): Country ID - **title** (string): Short country name - **full_title** (string): Full country name - **iso_code** (string): ISO 3166-1 alpha-2 country code - **phone_code** (string): Country phone code - **phone_template** (string): Country phone number mask - **phone_example** (string): Country phone number example - **currency** (string): Country currency symbol - **exchange** (number): Currency exchange rate - **lang_id** (number): Language ID - **group_type** (number): Country group type - **is_eu** (boolean): Whether the country is in the European Union - **meta** (array (object)): Metadata (empty array) #### 401 - Unauthorized **401_unauthorized_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Authentication needed.") #### 403 - Forbidden **403_forbidden_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Access denied.") #### 404 - Not Found **404_not_found_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object,array): Additional response data (empty object or empty array) (example: {}) ### Example Usage ```bash curl -X GET "https://api.alteg.io/api/v1/countries" ``` ``` -------------------------------- ### API Overview: Developer Tools Source: https://developer.alteg.io/_bundle/en/developers/openapi.json APIs for partners building integrations with the Altegio platform. **Base URL:** `https://api.alteg.io/api` ## Available Methods **Marketplace** — Manage your marketplace applications: list connected locations, configure tariffs, handle billing, process installation/uninstallation callbacks. **Webhooks** — Configure event notifications for your integrations. Receive real-time updates when appointments, clients, or other entities change. **VoIP Integration** — Connect telephony systems to match incoming calls with client records and log call history. **Dictionaries** — Reference data for building forms and validations: countries, cities, business types. ```yaml # Developer Tools # Version: 1.0.0 APIs for partners building integrations with the Altegio platform. **Base URL:** `https://api.alteg.io/api` ## Available Methods **Marketplace** — Manage your marketplace applications: list connected locations, configure tariffs, handle billing, process installation/uninstallation callbacks. **Webhooks** — Configure event notifications for your integrations. Receive real-time updates when appointments, clients, or other entities change. **VoIP Integration** — Connect telephony systems to match incoming calls with client records and log call history. **Dictionaries** — Reference data for building forms and validations: countries, cities, business types. # Base URL: https://api.alteg.io/api/v1 ``` -------------------------------- ### Schema: Root Type for voip_integration_setup_response_data_types Source: https://developer.alteg.io/_bundle/en/developers/openapi.json Connect Integration ```markdown ## Schema: Root Type for voip_integration_setup_response_data_types Connect Integration **Type:** object - **success** (boolean): Success status (true) - **data** (string): Contains null - **meta** (object): Metadata (contain an "Accepted" message) - **message** (string) ``` -------------------------------- ### POST /marketplace/partner/callback/redirect Source: https://developer.alteg.io/_bundle/en/developers/openapi.json After completing registration, the user must be redirected to this URL in the browser, along with any required data needed by the partner service. ```markdown ### Parameters - **Accept** (string, header, required): e.g. application/vnd.api.v2+json ### Request Body **Content-Type:** application/json - **salon_id** (number) (required): Location ID. (example: 123) - **application_id** (number) (required): Application ID. (example: 123) - **api_key** (number): API-key for messaging module. (example: "2f181e2a-5c22-4ae7-9d9b-07104f312c28") - **webhook_urls** (array (string)): Webhooks array (example: ["https://example.com/webhook"]) ### Responses #### 200 - Accepted - **success** (boolean) (example: true) #### 301 - Redirect to partner service Redirect to partner service #### 401 - Unauthorized **401_unauthorized_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Authentication needed.") #### 403 - Forbidden **403_forbidden_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Access denied.") #### 422 - Invalid parameters given **422_unprocessable_entity_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "An error has occurred.") - **errors** (array (object)): Set of a validation error messages. ### Example Usage ```bash curl -X POST "https://api.alteg.io/api/v1/marketplace/partner/callback/redirect" \ -H "Content-Type: application/json" \ -d '{ "salon_id": 123, "application_id": 123, "api_key": "2f181e2a-5c22-4ae7-9d9b-07104f312c28", "webhook_urls": [ "https://example.com/webhook" ] }' ``` ``` -------------------------------- ### POST /marketplace/application/add_discount Source: https://developer.alteg.io/_bundle/en/developers/openapi.json Sets a payment discount for specific locations when they pay through Altegio platform. **Note:** This endpoint is intended for marketplace partners only. Requires marketplace partner authorization. ```markdown ### Parameters - **Accept** (string, header, required) - **Content-Type** (string, header, required) - **Authorization** (string, header, required): Bearer {partner_token} ### Request Body **Content-Type:** application/json - **salon_ids** (array (integer)) (required): List of location IDs to apply discount (example: [123,456]) - **application_id** (integer) (required): Application ID from marketplace (example: 123) - **discount** (number (float)) (required): Discount amount (percentage or fixed amount depending on configuration) (example: 15.54) ### Responses #### 200 - Discount successfully applied - **success** (boolean) (example: true) - **data** (object) - **meta** (array) #### 401 - Unauthorized - partner token not provided or invalid - **success** (boolean) (example: false) - **data** (null) - **meta** (object) #### 403 - Forbidden - no access to application - **success** (boolean) (example: false) - **data** (null) - **meta** (object) - **message** (string) (example: "No access to application") #### 404 - Application not installed in location - **success** (boolean) (example: false) - **data** (null) - **meta** (object) - **message** (string) (example: "Application not found") ### Example Usage ```bash curl -X POST "https://api.alteg.io/api/v1/marketplace/application/add_discount" \ -H "Content-Type: application/json" \ -d '{ "salon_ids": [ 123, 456 ], "application_id": 123, "discount": 15.54 }' ``` ``` -------------------------------- ### POST /marketplace_webhook Source: https://developer.alteg.io/_bundle/en/developers/openapi.json Note: This is not a callable endpoint. This section describes how Altegio sends webhook notifications when specific events occur in the application-to-location lifecycle. The following event types are currently supported: * uninstall — Sent when the application is disabled on the Altegio side. * freeze — Sent when the integration is frozen due to service expiration. You can configure the webhook URL for receiving these events in your Altegio Developer Account. ```markdown ### Parameters - **Accept** (string, header, required): e.g. application/vnd.api.v2+json ### Request Body **Content-Type:** application/json - **salon_id** (number) (required): Location ID. (example: 123) - **application_id** (number) (required): Application ID. (example: 123) - **event** (string (uninstall|freeze)) (required): Event Slug. (example: "uninstall") ("uninstall"|"freeze") - **partner_token** (string) (required): Bearer token of the developer's location (to verify the origin of the webhook) (example: "yasdfkjah2328aj") ### Responses #### 200 - From the side of the partner, a response code of successful processing (200-299) is expected. Empty response body #### 401 - Unauthorized **401_unauthorized_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Authentication needed.") #### 403 - Forbidden **403_forbidden_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Access denied.") #### 404 - Not Found **404_not_found_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object,array): Additional response data (empty object or empty array) (example: {}) ### Example Usage ```bash curl -X POST "https://api.alteg.io/api/v1/marketplace_webhook" \ -H "Content-Type: application/json" \ -d '{ "salon_id": 123, "application_id": 123, "event": "uninstall", "partner_token": "yasdfkjah2328aj" }' ``` ``` -------------------------------- ### POST /marketplace/partner/payment/refund/{payment_id} Source: https://developer.alteg.io/_bundle/en/developers/openapi.json Chargeback Notice ```markdown ### Parameters - **Accept** (string, header, required): e.g. application/vnd.api.v2+json - **payment_id** (number, path, required): Payment ID. ### Responses #### 200 - Refund confirmed Empty response body #### 401 - Unauthorized **401_unauthorized_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Authentication needed.") #### 403 - Forbidden **403_forbidden_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "Access denied.") #### 422 - Invalid parameters given **422_unprocessable_entity_response** - **success** (boolean): Response status. (example: false) - **data** (object,null): Response data. (example: null) - **meta** (object): Additional response data. - **message** (string): Error message. (example: "An error has occurred.") - **errors** (array (object)): Set of a validation error messages. ### Example Usage ```bash curl -X POST "https://api.alteg.io/api/v1/marketplace/partner/payment/refund/{payment_id}" ``` ```